package org.acme.jaxws.stubs;

import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSeeAlso;

import org.w3c.dom.Element;

public class Types {

	public static class MixedWrapper{
		@XmlElement(name="anything")
		public String ret;
	}
	
	public static class AnyElement {
		@XmlAnyElement
		public Element some;
	}
	
	public static class Sometype {
		@XmlElement
		public String some;
	}
	
	public static class SomeElement {
		@XmlAnyElement
		public Element some;
	}
	
	@XmlRootElement
	public static class PolyWrapped {
		@XmlElement
		public Base param;
	}
	
	@XmlSeeAlso({Subone.class,Subtwo.class})
	public static class Base{}
	

	@XmlRootElement
	public static class Subone extends Base {
		@XmlElement
		public String one;
	}
	
	@XmlRootElement
	public static class Subtwo extends Base {
		@XmlElement
		public String two;
	}

	@XmlSeeAlso({ChoiceOne.class})
	public static abstract class Choice {}
	
	public static class ChoiceOne extends Choice {
		@XmlElement
		public Subone one;
	}
}
